Package org.eclipse.cdt.utils

# Class DefaultGnuToolFactory

java.lang.Object
org.eclipse.cdt.utils.DefaultGnuToolFactory

All Implemented Interfaces:
  `IGnuToolFactory`

Direct Known Subclasses:
  `DefaultCygwinToolFactory`

public class DefaultGnuToolFactory extends Object implements IGnuToolFactory

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ICExtension`
`fExtension`

### Fields inherited from interface org.eclipse.cdt.utils.IGnuToolFactory

`GNU_TOOL_PREFIX_VARIABLE`

## Constructor Summary

Constructors
Constructor
Description
`DefaultGnuToolFactory(ICExtension ext)`

## Method Summary

Modifier and Type
Method
Description
`Addr2line`
`getAddr2line(org.eclipse.core.runtime.IPath path)`
`protected org.eclipse.core.runtime.IPath`
`getAddr2linePath()`
`CPPFilt`
`getCPPFilt()`
`protected org.eclipse.core.runtime.IPath`
`getCPPFiltPath()`
`protected String[]`
`getEnvironment()`
`NM`
`getNM(org.eclipse.core.runtime.IPath path)`
`protected String`
`getNMArgs()`
`protected org.eclipse.core.runtime.IPath`
`getNMPath()`
`Objdump`
`getObjdump(org.eclipse.core.runtime.IPath path)`
`protected String`
`getObjdumpArgs()`
`protected org.eclipse.core.runtime.IPath`
`getObjdumpPath()`
`protected org.eclipse.core.runtime.IPath`
`getStripPath()`
`protected String`
`getToolPrefix()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### fExtension

protected ICExtension fExtension

## Constructor Details

### DefaultGnuToolFactory

public DefaultGnuToolFactory(ICExtension ext)

## Method Details

### getAddr2line

public Addr2line getAddr2line(org.eclipse.core.runtime.IPath path)

Specified by:
  `getAddr2line` in interface `IGnuToolFactory`

### getCPPFilt

public CPPFilt getCPPFilt()

Specified by:
  `getCPPFilt` in interface `IGnuToolFactory`

### getObjdump

public Objdump getObjdump(org.eclipse.core.runtime.IPath path)

Specified by:
  `getObjdump` in interface `IGnuToolFactory`

### getNM

public NM getNM(org.eclipse.core.runtime.IPath path)

Specified by:
  `getNM` in interface `IGnuToolFactory`

### getAddr2linePath

protected org.eclipse.core.runtime.IPath getAddr2linePath()

### getObjdumpPath

protected org.eclipse.core.runtime.IPath getObjdumpPath()

### getObjdumpArgs

protected String getObjdumpArgs()

### getCPPFiltPath

protected org.eclipse.core.runtime.IPath getCPPFiltPath()

### getStripPath

protected org.eclipse.core.runtime.IPath getStripPath()

### getNMPath

protected org.eclipse.core.runtime.IPath getNMPath()

### getNMArgs

protected String getNMArgs()

### getEnvironment

protected String[] getEnvironment()

Since:
  8.2

### getToolPrefix

protected String getToolPrefix()

Since:
  8.2